<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Kids Online Store
 */

$kids_online_store_post_page_title =  get_theme_mod( 'kids_online_store_post_page_title', 1 );
$kids_online_store_post_page_meta =  get_theme_mod( 'kids_online_store_post_page_meta', 1 );
$kids_online_store_post_page_cat = get_theme_mod( 'kids_online_store_post_page_cat', 1 );
$kids_online_store_post_page_content =  get_theme_mod( 'kids_online_store_post_page_content', 1 );
?>

  <div class="col-lg-6 col-md-6 col-sm-6">
    <article id="post-<?php the_ID(); ?>" <?php post_class('article-box'); ?>>
      <header class="entry-header pb-4">
        <?php if ($kids_online_store_post_page_title == 1 ) {?>
          <?php the_title('<h3 class="entry-title"><a href="' . esc_url(get_permalink()) . '" rel="bookmark">', '</a></h3>');?>
        <hr>
        <?php }?>
        <?php if ('post' === get_post_type()) : ?>
          <?php if ($kids_online_store_post_page_meta == 1 ) {?>
            <div class="entry-meta">
              <?php
              kids_online_store_posted_on();
              ?>
            </div>
          <?php }?>
        <?php endif; ?>
      </header>
      <?php
        if ( ! is_single() ) {
          // If not a single post, highlight the gallery.
          if ( get_post_gallery() ) {
            echo '<div class="entry-gallery">';
              echo ( get_post_gallery() );
            echo '</div>';
          };
        };
      ?>
      <?php if ($kids_online_store_post_page_content == 1 ) {?>
        <div class="entry-summary">
          <?php
            the_excerpt();

            wp_link_pages(array(
              'before' => '<div class="page-links">' . esc_html__('Pages:', 'kids-online-store'),
              'after' => '</div>',
            ));
          ?>
        </div>
      <?php }?>
      <?php if ($kids_online_store_post_page_cat == 1 ) {?>
        <footer class="entry-footer">
          <?php kids_online_store_entry_footer(); ?>
        </footer>
      <?php }?>
    </article>
  </div>